Skip to content
Primary navigation

List group users

GET/organization/groups/{group_id}/users

Lists the users assigned to a group.

Path ParametersExpand Collapse
group_id: string
Query ParametersExpand Collapse
after: optional string

A cursor for use in pagination. Provide the ID of the last user from the previous list response to retrieve the next page.

limit: optional number

A limit on the number of users to be returned. Limit can range between 0 and 1000, and the default is 100.

minimum0
maximum1000
order: optional "asc" or "desc"

Specifies the sort order of users in the list.

Accepts one of the following:
"asc"
"desc"
ReturnsExpand Collapse
data: array of User { id, added_at, email, 3 more }

Users in the current page.

id: string

The identifier, which can be referenced in API endpoints

added_at: number

The Unix timestamp (in seconds) of when the user was added.

email: string

The email address of the user

name: string

The name of the user

object: "organization.user"

The object type, which is always organization.user

role: "owner" or "reader"

owner or reader

Accepts one of the following:
"owner"
"reader"
has_more: boolean

Whether more users are available when paginating.

object: "list"

Always list.

List group users

curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/users?limit=20 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "list",
    "data": [
        {
            "object": "organization.user",
            "id": "user_abc123",
            "name": "Ada Lovelace",
            "email": "ada@example.com",
            "role": "owner",
            "added_at": 1711471533
        }
    ],
    "has_more": false,
    "next": null
}
Returns Examples
{
    "object": "list",
    "data": [
        {
            "object": "organization.user",
            "id": "user_abc123",
            "name": "Ada Lovelace",
            "email": "ada@example.com",
            "role": "owner",
            "added_at": 1711471533
        }
    ],
    "has_more": false,
    "next": null
}